Get Event Report
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid} \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid}"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sid": "<string>",
"contactPerson": "<string>",
"contactPhone": "<string>",
"contactEmail": "<string>",
"correctiveActionDetails": "<string>",
"details": "<string>",
"directWitness": "<string>",
"draft": true,
"eventTime": "<string>",
"examSessionSid": "<string>",
"potentialDamage": "<string>",
"subject": "<string>",
"status": "<string>",
"createdDate": "<string>",
"eventType": "<string>"
}Exam Session Event
Get Event Report
Returns the full event report object for the specified event report SID.
The eventReportSid is validated through the hierarchy: eventReport → session → exam → appInstall.
GET
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
sessions
/
{sessionSid}
/
events
/
{eventReportSid}
Get Event Report
Authorizations
Path Parameters
Application install sid
Pattern:
^AI[a-f0-9]{32}$Exam Sid
Pattern:
^EX[a-f0-9]{32}$Session Sid
Pattern:
^ES[a-f0-9]{32}$Report Sid
Pattern:
^ER[a-f0-9]{32}$Response
200 - application/json
Successful
Event report SID
Contact person
Contact phone
Contact email
Corrective action details
Details
Direct witness
Draft
Event time
Exam session SID
Potential damage
Subject
Status
Created date
Event type
Was this page helpful?
